Skip to content
MarketplaceSellers

List sellers

Returns cursor-paginated sellers, filterable by status and text.

Query Parameters

limit?integer

Maximum number of results to return.

Formatint32
cursor?string

Cursor from the previous response. Omit it on the first page.

search?string

Free-text search.

sortBy?string

Field to sort by.

sortDirection?string

Sort direction: asc or desc.

Value in

  • "asc"
  • "desc"
status?array<>

Only items in these statuses.

Value in

  • "active"
  • "inactive"
  • "deleted"
includeInternal?boolean
isVerified?boolean

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/sellers" \  -H "Authorization: Bearer <token>"
{  "data": [    {      "id": "7204558912004323447",      "name": "Textiles Andinos",      "slug": "textiles-andinos",      "countryCode": "PE",      "isVerified": true,      "averageRating": 5,      "totalReviews": 24,      "isInternal": false,      "membersCount": 24,      "status": "active",      "createdOn": "2026-09-28T15:30:00Z"    }  ],  "hasNextPage": true,  "nextCursor": "eyJpZCI6IjcyMDQ1NTg5MTIwMDQzMjUzMDEifQ",  "totalCount": 24}